# InternalClassPattern Class Reference
[Patterns used to build classes]

Inheritance diagram for InternalClassPattern:
[legend]

List of all members.

## Public Member Functions

| build (MetaClass $class)
| tableExists ()
| guess what
| daoExists ()
| indicates DAO availability for classes which uses this pattern

## Detailed Description

Definition at line 15 of file InternalClassPattern.class.php.

## Member Function Documentation

InternalClassPattern::build | ( | MetaClass $ | class | ) |

Returns:
  InternalClassPattern

Implements GenerationPattern.

Definition at line 22 of file InternalClassPattern.class.php.

InternalClassPattern::daoExists | ( |  | ) |

indicates DAO availability for classes which uses this pattern

Implements GenerationPattern.

Definition at line 32 of file InternalClassPattern.class.php.

InternalClassPattern::tableExists | ( |  | ) |

guess what

Implements GenerationPattern.

Definition at line 27 of file InternalClassPattern.class.php.

The documentation for this class was generated from the following file:

- meta/patterns/InternalClassPattern.class.php